Package ch.admin.suis.validator.rest.to

# Class SignatureTO

java.lang.Object
ch.admin.suis.validator.rest.to.SignatureTO

public class SignatureTO extends Object
A data structure that represents a signature when calling the validation client service.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `SignatureTO.ChangeLevel`
  `static enum`
  `SignatureTO.SignatureType`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SignatureTO()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `containsCrucialChanges()`
  `boolean`
  `containsVisualChanges()`
  `AdditionalInfosTO`
  `getAdditionalInfos()`
  `SignatureTO.ChangeLevel`
  `getChangeLevel()`
  `String`
  `getClient()`
  `String`
  `getMandant()`
  Deprecated.
  use `getClient()`
  `byte[]`
  `getSignatureContent()`
  `Date`
  `getSignatureDate()`
  `byte[]`
  `getSignatureDigest()`
  `String`
  `getSignatureName()`
  `Integer`
  `getSignaturePosition()`
  `SignatureTO.SignatureType`
  `getType()`
  `boolean`
  `isCoveringWholeDocument()`
  `void`
  `setAdditionalInfos(AdditionalInfosTO additionalInfos)`
  `void`
  `setChangeLevel(SignatureTO.ChangeLevel changeLevel)`
  `void`
  `setClient(String client)`
  `void`
  `setContainsCrucialChanges(boolean containsCrucialChanges)`
  `void`
  `setContainsVisualChanges(boolean containsVisualChanges)`
  `void`
  `setMandant(String mandant)`
  Deprecated.
  use `setClient(String)`
  `void`
  `setSignatureContent(byte[] signatureContent)`
  `void`
  `setSignatureDate(Date signatureDate)`
  `void`
  `setSignatureDigest(byte[] signatureDigest)`
  `void`
  `setSignatureName(String signatureName)`
  `void`
  `setSignaturePosition(Integer signaturePosition)`
  `void`
  `setType(SignatureTO.SignatureType type)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SignatureTO

    public SignatureTO()

- ## Method Details

  - ### containsCrucialChanges

    public boolean containsCrucialChanges()

  - ### containsVisualChanges

    public boolean containsVisualChanges()

  - ### getAdditionalInfos

    public AdditionalInfosTO getAdditionalInfos()

  - ### getChangeLevel

    public SignatureTO.ChangeLevel getChangeLevel()

  - ### getClient

    public String getClient()

  - ### getMandant

    @Deprecated public String getMandant()
    Deprecated.
    use `getClient()`
    Gets the `client` property from its legacy name.
    Returns:
      the `client` property.

  - ### getSignatureContent

    public byte[] getSignatureContent()

  - ### getSignatureDate

    public Date getSignatureDate()

  - ### getSignatureDigest

    public byte[] getSignatureDigest()

  - ### getSignatureName

    public String getSignatureName()

  - ### getSignaturePosition

    public Integer getSignaturePosition()

  - ### getType

    public SignatureTO.SignatureType getType()

  - ### isCoveringWholeDocument

    public boolean isCoveringWholeDocument()

  - ### setAdditionalInfos

    public void setAdditionalInfos(AdditionalInfosTO additionalInfos)

  - ### setChangeLevel

    public void setChangeLevel(SignatureTO.ChangeLevel changeLevel)

  - ### setClient

    public void setClient(String client)

  - ### setContainsCrucialChanges

    public void setContainsCrucialChanges(boolean containsCrucialChanges)

  - ### setContainsVisualChanges

    public void setContainsVisualChanges(boolean containsVisualChanges)

  - ### setMandant

    @Deprecated public void setMandant(String mandant)
    Deprecated.
    use `setClient(String)`
    Sets the `client` property with its legacy name.
    Parameters:
      `mandant` - the value to set for the `client` property.

  - ### setSignatureContent

    public void setSignatureContent(byte[] signatureContent)

  - ### setSignatureDate

    public void setSignatureDate(Date signatureDate)

  - ### setSignatureDigest

    public void setSignatureDigest(byte[] signatureDigest)

  - ### setSignatureName

    public void setSignatureName(String signatureName)

  - ### setSignaturePosition

    public void setSignaturePosition(Integer signaturePosition)

  - ### setType

    public void setType(SignatureTO.SignatureType type)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`